POST
/v1/organizations/{organizationId}/first-memberProvision an Organization's first management-plane human
Create the first Organization Member, WorkOS User binding, and Owner Grant after Cantora has bound the Organization to WorkOS. This operation is for Cantora operators.
Cantora-operated endpoint
Authentication
Send an API key as a Bearer token in the Authorization header.
Parameters
Request body
Required.
application/jsonobject- unknown properties allowed
false
workosUserIdrequiredstringThe provider-stable WorkOS User identifier to bind.- maximum length
512 - minimum length
1 - pattern
^[!-~]+$
- maximum length
emailAddressrequiredstringThe Organization Member's WorkOS email address.- maximum length
320 - minimum length
3 - pattern
^[^@\s]+@[^@\s]+$
- maximum length
displayNamerequiredstringThe Organization Member's human-readable name.- maximum length
200 - minimum length
1
- maximum length
Responses
201OrganizationMemberProvisionedapplication/json400The request path, headers, query, or JSON body did not satisfy the published schema401Unauthorizedapplication/json403Forbiddenapplication/json404NotFoundapplication/json409Conflictapplication/jsonReusable schemas
OrganizationMemberProvisionedEncoded
object- unknown properties allowed
false
organizationIdrequiredstringThe Organization identifier.- maximum length
64 - pattern
^org_[\s\S]+$
- maximum length
principalIdrequiredstringThe Principal identifier.- maximum length
64 - pattern
^principal_[\s\S]+$
- maximum length
grantIdrequiredstringThe Grant identifier.- maximum length
64 - pattern
^grant_[\s\S]+$
- maximum length
rolerequiredstringThe Organization role granted to the provisioned identity.- allowed values
"owner"
- allowed values
workosUserIdrequiredstringThe provider-stable WorkOS User identifier.emailAddressrequiredstringThe Organization Member's email address.displayNamerequiredstringThe human-readable resource name.
UnauthorizedEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Unauthorized"
- allowed values
reasonrequiredstringA safe explanation of why the credential was rejected.
ForbiddenEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Forbidden"
- allowed values
permissionrequiredstringThe permission required by the refused operation.
NotFoundEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"NotFound"
- allowed values
resourcerequiredstringThe resource type relevant to the error.idrequiredstringThe identifier supplied for the resource that was not found.
ConflictEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Conflict"
- allowed values
resourcerequiredstringThe resource type relevant to the error.reasonrequiredstringA safe explanation of the state conflict.